# $Revision: 1.8 $, $Date: 2002/03/21 15:42:01 $
Summary:	KMatplot is a gnuplot-like tool for plotting data sets
Summary(pl):	KMatplot to podobne do gnuplota narzdzie do rysowania wykresw
Name:		kmatplot
Version:	0.3
Release:	1
License:	GPL
Vendor:		kamil <kamildobk@poczta.onet.pl>
Group:		X11/Applications/Science
Source0:	http://kmatplot.sourceforge.net/%{name}-%{version}.tar.gz
URL:		http://kmatplot.sourceforge.net/
BuildRequires:	kdelibs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_htmldir	/usr/share/doc/kde/HTML

%description
KMatplot is a gnuplot-like tool for plotting data sets in either two
or three dimensions. It can plot many ordinary types of 2d plots,
including pixmaps and contours, and 3d surfaces. It offers a full
WYSIWYG mode with multiple objects on a single page. See the
screenshot section for more details.

As opposite to Gnuplot, KMatplot has no scripting language but it is
more clickable, so easier to use for unexperienced users. It can be
used instead of Gnuplot with Octave and Scilab - there are new dll
functions installed in those packages, which communicate with KMatplot
through an Unix socket. Those functions are named 'kplot', 'kimage',
kmesh',... and are similar to those found in Octave by default.

%description -l pl
KMatplot to podobne do gnuplota narzdzie do rysowania wykresw
zarwno w dwch jak i trzech wymiarach. Moe rysowa zwyke rodzaje
wykresw 2D, w tym bitmapy i kontury, oraz powierzchnie 3D. Oferuje
peny tryb WYSIWYG z wieloma obiektami lub pojedyncz stron.

W przeciwiestwie do Gnuplota, KMatplot nie ma jzyka skryptowego, ale
jest bardziej klikalny, wic atwiejszy w uyciu dla niedowiadczonych
uytkownikw. Moe by uywany zamiast Gnuplota z Octave lub Scilabem
- do tych pakietw s instalowane nowe funkcje biblioteczne, ktre
komunikuj si z KMatplotem przez gniazdko lokalne. Te funkcje
nazywaj si "kplot", "kimage", "kmesh"... i s podobne do tych, ktre
standardowo znajduj si w Octave.

%prep
%setup -q

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure2_13

touch aclocal.m4 configure.in configure stamp-h.in Makefile.in \
	kmatplot/Makefile.in kmatplot/formula/Makefile.in \
	kmatplot/widgets/Makefile.in kmatplot/dialogs/Makefile.in \
	kmatplot/part/Makefile.in kmatplot/demos/Makefile.in \
	kmatplot/interface/Makefile.in

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_applnkdir}/{Applications,Scientific}

gzip -9nf AUTHORS ChangeLog

%find_lang %{name} --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/apps/kmatplot
%{_datadir}/mimelnk/application/x-kmatplot.desktop
%{_applnkdir}/Scientific/kmatplot.desktop
%{_pixmapsdir}/*/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kmatplot.spec,v $
Revision 1.8  2002/03/21 15:42:01  qboosh
- added doc and BR: kdelibs-devel

Revision 1.7  2002/03/21 15:38:21  qboosh
- fixed build/install/files

Revision 1.6  2002/02/22 23:29:08  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/14 12:17:59  ankry
- version <--> release

Revision 1.3  2001/12/14 11:37:28  qboosh
- added Source URL and pl description

Revision 1.2  2001/12/13 22:20:23  kloczek
- partialy rewrited (added %description, Summary and adapterized).
